*
* Set default pathname
*
$setglobal pathIN  '.\input'
$setglobal pathOUT '.\output'

*
* Set default casename
*
$setglobal CaseName ''

*---------------------------------------------------------------------------------

*---------------------------------------------------------------------------------
* Definizione del file screen = console
*

$set console
$if %system.filesys% == UNIX  $set console /dev/tty
$if %system.filesys% == DOS $set console con
$if %system.filesys% == MS95  $set console con
$if %system.filesys% == MSNT  $set console con
$if "%console%." == "." abort "filesys not recognized";
file screen / '%console%' /;


*---------------------------------------------------------------------------------

*---------------------------------------------------------------------------------
* Definizione del file log = remarkP.log
*
file remlog /'remarkP.log' /;
put remlog;
put_utilities 'exec' / 'mkdir %pathOUT%/%CaseName%';
put_utility 'ren' /  '%pathOUT%/%CaseName%/remarkP.log';
putclose;
remlog.pw=32767;
*---------------------------------------------------------------------------------


put screen;
put ' ***************************************************************************', put /;
put ' ', put /;
put ' NewREMARK - Vers. 07/07/2022', put /;
put ' ', put /;
put ' Case name: %CaseName%'/;
put ' ', put /;
put ' Input  directory: %pathIN%'/;
put ' Output directory: %pathOUT%'/;
put ' ', put /;
put ' ***************************************************************************', put /;
putclose;
screen.ap=1;

put remlog;
put ' ***************************************************************************', put /;
put ' ', put /;
put ' REMARK+', put /;
put ' ', put /;
put ' Case name: %CaseName%'/;
put ' ', put /;
put ' Input  directory: %pathIN%'/;
put ' Output directory: %pathOUT%'/;
put ' ', put /;
put ' ***************************************************************************', put /;
putclose;
remlog.ap=1;

*
* Set file per report dei guasti estratti dal Monte Carlo per MB
*
file ElencoGuasti /'ElencoGuasti.csv'/;
put ElencoGuasti;
put_utility 'ren' /  '%pathOUT%/%CaseName%/ElencoGuasti.csv';
ElencoGuasti.ap=1;
ElencoGuasti.pc=5;
ElencoGuasti.pw=32766;
